%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%{!?pyver: %define pyver %(%{__python} -c "import sys ; print sys.version[:3]")}

Name:           python-TestGears
Version:        0.2
Release:        3%{?dist}
Summary:        Unit testing for Python

Group:          Development/Languages
License:        MIT
URL:            http://www.turbogears.org/testgears/
Source0:        http://www.turbogears.org/download/eggs/TestGears-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel python-setuptools

%description
TestGears provides automatic discovery of unittest.TestCases and the ability
to run tests that are written as simple functions. It generates a standard
unittest.TestSuite for use with any of the standard frontends, and provides
a distutils command to run tests with zero configuration.

%prep
%setup -q -n TestGears-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
echo "TestGears-%{version}-py%{pyver}.egg-info" > %{buildroot}%{python_sitelib}/TestGears.pth

echo '%defattr (0644,root,root,0755)' > pyfiles
find %{buildroot}%{python_sitelib} -type d | \
    sed 's:%{buildroot}\(.*\):%dir \1:' >> pyfiles
find %{buildroot}%{python_sitelib} -not -type d -name '*.py*' | \
    sed 's:%{buildroot}\(.*\):\1:' >> pyfiles

%clean
rm -rf %{buildroot}

%files -f pyfiles
%defattr(-,root,root,-)
%doc docs LICENSE.txt TODO.txt
%{python_sitelib}/TestGears-%{version}-py%{pyver}.egg-info/*
%{python_sitelib}/TestGears.pth

%changelog
* Sun Sep 10 2006 Luke Macken <lmacken@redhat.com> 0.2-3
- Fix module inclusion, and use consistent buildroots

* Sun Sep 10 2006 Luke Macken <lmacken@redhat.com> 0.2-2
- Rebuild for FC6

* Sat Dec 24 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.2-1
- Initial RPM release
